This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 631043 - FTBFS ibus-qt-1.3.1-1.fc14
FTBFS ibus-qt-1.3.1-1.fc14
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus-qt (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F14FTBFS
  Show dependency treegraph
 
Reported: 2010-09-07 12:16 EDT by FTBFS
Modified: 2010-09-10 23:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-08 00:00:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (746.05 KB, text/plain)
2010-09-07 12:17 EDT, FTBFS
no flags Details
build.log (4.33 KB, text/plain)
2010-09-07 12:17 EDT, FTBFS
no flags Details
mock.log (891 bytes, text/plain)
2010-09-07 12:17 EDT, FTBFS
no flags Details
root.log (1.02 MB, text/plain)
2010-09-07 12:17 EDT, FTBFS
no flags Details
build.log (4.28 KB, text/plain)
2010-09-07 12:17 EDT, FTBFS
no flags Details
mock.log (899 bytes, text/plain)
2010-09-07 12:17 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2010-09-07 12:16:57 EDT
ibus-qt-1.3.1-1.fc14.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-09-07 12:17:07 EDT
Created an attachment (id=443675)
root.log

root.log for i386
Comment 2 FTBFS 2010-09-07 12:17:08 EDT
Created an attachment (id=443676)
build.log

build.log for i386
Comment 3 FTBFS 2010-09-07 12:17:09 EDT
Created an attachment (id=443677)
mock.log

mock.log for i386
Comment 4 FTBFS 2010-09-07 12:17:19 EDT
Created an attachment (id=443678)
root.log

root.log for x86_64
Comment 5 FTBFS 2010-09-07 12:17:21 EDT
Created an attachment (id=443679)
build.log

build.log for x86_64
Comment 6 FTBFS 2010-09-07 12:17:22 EDT
Created an attachment (id=443680)
mock.log

mock.log for x86_64
Comment 7 fujiwara 2010-09-07 22:50:28 EDT
From root.log attachment 443678 [details], curious qt3-devel was installed instead of qt-devel.

DEBUG util.py:255:  looking for ('libpng12.so.0', None, (None, None, None)) as a requirement of qt3-devel.i686 0:3.3.8b-29.fc13 - None
DEBUG util.py:255:  looking for ('libXrandr-devel', None, (None, None, None)) as a requirement of qt3-devel.i686 0:3.3.8b-29.fc13 - None
DEBUG util.py:255:  requires minimal: 56
DEBUG util.py:255:   Loser(with 62): 1:qt-devel-4.7.0-0.26.beta2.fc14.i686
DEBUG util.py:255:   Winner: qt3-devel-3.3.8b-29.fc13.i686
DEBUG util.py:255:  Best Order: [(<YumAvailablePackageSqlite : qt3-devel-3.3.8b-29.fc13.i686 (0x3735390)>, 992), (<YumAvailablePackageSqlite : 1:qt-devel-4.7.0-0.26.beta2.fc14.i686 (0x35e7e50)>, 0)]
Comment 8 fujiwara 2010-09-07 23:33:11 EDT
From bug 623106, it seems to need qt4-devel instead of qt-devel.

--- a/ibus-qt.spec
+++ b/ibus-qt.spec
@@ -13,7 +13,7 @@ Source0:    http://ibus.googlecode.com/files/%{name}-%{version}-Source.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  cmake
-BuildRequires:  qt-devel >= 4.5
+BuildRequires:  qt4-devel >= 4.5
 BuildRequires:  dbus-devel >= 1.2
 BuildRequires:  ibus-devel >= %ibus_version
 BuildRequires:  libicu-devel >= 4.0

Actually I don't see any problems with or without this change in koji.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2453548
http://koji.fedoraproject.org/koji/taskinfo?taskID=2453651

But hope this change can fix this bug.
Comment 9 Fedora Update System 2010-09-08 01:01:28 EDT
ibus-qt-1.3.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ibus-qt-1.3.1-2.fc14
Comment 10 Fedora Update System 2010-09-10 23:33:40 EDT
ibus-qt-1.3.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.